Bug 1308516 - [abrt] josm-0-0.73.9329svn.fc23: Uncaught exception java.lang.RuntimeException in method org.openstreetmap.josm.Main.<init>()
[abrt] josm-0-0.73.9329svn.fc23: Uncaught exception java.lang.RuntimeExceptio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: josm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cédric OLIVIER
Fedora Extras Quality Assurance
abrt_hash:b753ccddce90c399e0cd6bf4ccd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 07:51 EST by jibecfed
Modified: 2016-02-26 02:22 EST (History)
2 users (show)

See Also:
Fixed In Version: josm-0-0.74.9329svn.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 02:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.46 KB, text/plain)
2016-02-15 07:51 EST, jibecfed
no flags Details
File: environ (3.32 KB, text/plain)
2016-02-15 07:51 EST, jibecfed
no flags Details
File: jvm_environment (1.96 KB, text/plain)
2016-02-15 07:51 EST, jibecfed
no flags Details

  None (edit)
Description jibecfed 2016-02-15 07:51:12 EST
Description of problem:
related to https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0701726a8

Version-Release number of selected component:
josm-0-0.73.9329svn.fc23

Additional info:
reporter:       libreport-2.6.4
abrt-java-connector: 1.0.10
cmdline:        /usr/lib/jvm/jre/bin/java -agentpath:/usr/lib/abrt-java-connector/libabrt-java-connector.so=abrt=on -classpath /usr/share/java/josm.jar:/usr/share/java/metadata-extractor2-2.jar:/usr/share/java/ant.jar:/usr/share/java/signpost-core.jar:/usr/share/java/apache-commons-codec.jar:/usr/share/java/svgsalamander.jar:/usr/share/java/gnu-getopt.jar:/usr/share/java/xmpcore.jar:/usr/share/java/apache-commons-compress.jar JOSM
executable:     /usr/share/java/josm.jar
java_executable: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.71-1.b15.fc23.x86_64/jre/bin/java
kernel:         4.3.5-300.fc23.x86_64
pid:            10523
runlevel:       N 5
uid:            1000

Truncated backtrace:
#1 java.lang.ClassNotFoundException: javax.json.Json
#2 	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) [file:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.71-1.b15.fc23.x86_64/jre/lib/rt.jar]
#3 	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) [file:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.71-1.b15.fc23.x86_64/jre/lib/rt.jar]
#4 	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) [file:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.71-1.b15.fc23.x86_64/jre/lib/rt.jar]
#5 	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) [file:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.71-1.b15.fc23.x86_64/jre/lib/rt.jar]
#6 	at org.openstreetmap.josm.data.Preferences.mapFromJson(Preferences.java:1437) [file:/usr/share/java/josm.jar]
#7 	at org.openstreetmap.josm.data.Preferences.deserializeStruct(Preferences.java:1558) [file:/usr/share/java/josm.jar]
#8 	at org.openstreetmap.josm.data.Preferences.getListOfStructs(Preferences.java:1377) [file:/usr/share/java/josm.jar]
#9 	at org.openstreetmap.josm.data.imagery.ImageryLayerInfo.load(ImageryLayerInfo.java:63) [file:/usr/share/java/josm.jar]
#10 	at org.openstreetmap.josm.gui.preferences.imagery.ImageryPreference.initialize(ImageryPreference.java:948) [file:/usr/share/java/josm.jar]
Comment 1 jibecfed 2016-02-15 07:51:16 EST
Created attachment 1127241 [details]
File: backtrace
Comment 2 jibecfed 2016-02-15 07:51:17 EST
Created attachment 1127242 [details]
File: environ
Comment 3 jibecfed 2016-02-15 07:51:19 EST
Created attachment 1127243 [details]
File: jvm_environment
Comment 4 Fedora Update System 2016-02-16 07:25:28 EST
josm-0-0.74.9329svn.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6544d9c2d2
Comment 5 Fedora Update System 2016-02-17 01:27:39 EST
josm-0-0.74.9329svn.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6544d9c2d2
Comment 6 Fedora Update System 2016-02-26 02:22:44 EST
josm-0-0.74.9329svn.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.